import { Component } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { IOption } from '../../../models/field.model';

@Component({
	selector: 'app-radio',
	templateUrl: './radio.component.html',
	styleUrls: ['./radio.component.scss']
})
export class RadioComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['name', 'options', 'horizontal'];

	name: string;
	options: IOption[];
	horizontal: boolean;
	
	prefix: string;

	constructor() {
		super();
		this.prefix = 'radio_u_' + Math.floor((Math.random() * 10000)).toString();
	}

}
