import { Component, Input, OnInit } from '@angular/core';
import { ILink } from '../../../models/field.model';

@Component({
	selector: 'app-display',
	templateUrl: './display.component.html',
	styleUrls: ['./display.component.scss']
})
export class DisplayComponent implements OnInit {

	@Input()
	meta: StringMap<any>;

	value: string;
	link?: ILink;

	ngOnInit() {
		this.value = this.meta.value;
		this.link = this.meta.link;
	}
}
